be.ehealth.businessconnector.dmg.service

## Class ServiceFactory

- java.lang.Object
- - be.ehealth.businessconnector.dmg.service.ServiceFactory

-     public final class ServiceFactory
      extends Object

  A factory for creating `DmgService`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `DMG_XSD` Required XSD (!order is important)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenericRequest` | `getConsultationService(SAMLToken token)` Get the consultation service
    `static GenericRequest` | `getNotificationService(SAMLToken token)` Get the Notification service

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DMG_XSD

          public static final String[] DMG_XSD

      Required XSD (!order is important)

  - ### Method Detail

    - #### getConsultationService

          public static GenericRequest getConsultationService(SAMLToken token)
                                                       throws TechnicalConnectorException

      Get the consultation service
      Parameters:
        `token` - the SAML token
      Returns:
        GlobalMedicalFileConsultationPortType the service port type
      Throws:
        `TechnicalConnectorException`

    - #### getNotificationService

          public static GenericRequest getNotificationService(SAMLToken token)
                                                       throws TechnicalConnectorException

      Get the Notification service
      Parameters:
        `token` - the SAML token
      Returns:
        GlobalMedicalFileNotificationPortType the service port type
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.